Zum Hauptinhalt springen
POST
Create Document Upload URL

Autorisierungen

Authorization
string
header
erforderlich

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
fileName
string
erforderlich

Name of the file to upload, including its extension.

Minimum string length: 1
contentType
string
erforderlich

MIME type of the file (e.g. application/pdf). Send the same value as Content-Type when uploading to uploadUrl.

Minimum string length: 1
fileSize
integer
erforderlich

Size of the file in bytes. It is signed into uploadUrl: the PUT must send exactly this many bytes.

Antwort

Presigned upload URL

uploadUrl
string
erforderlich

Presigned S3 PUT URL, valid for 10 minutes. Send the file bytes with the same Content-Type.

s3Key
string
erforderlich

The staging key — pass it as storageKey to POST /api/v1/ppwr/documents.